---

# In order to store the ssh key, it's useful to have the user already
# set up.  The zuul role will do this again, but because of ansible's
# idempotency it's harmless to do it twice.  Removing it from the zuul
# role might cause it to be forgotten in future if this role wasn't
# needed in the playlist.
- name: Add zuul user
  user:
    name: zuul
    comment: "There is no Dana"
    system: yes
    home: /var/lib/zuul

- name: Make zuul ssh directory
  file:
    path: /var/lib/zuul/.ssh
    state: directory
    owner: zuul
    group: zuul
    mode: "0700"

# Generate the SSH keypair to talk with slave nodes.
# Note this must be RSA because AWS doesn't like other types
- name: Make openssh keypair
  openssh_keypair:
    path: /var/lib/zuul/.ssh/nodepool_rsa
    type: rsa
    size: 2048
    owner: zuul
    group: zuul
  register: nodepool_key
